SHANNON A.I. Logo
SHANNON A.I.
Vestlus Hinnakiri API Uuringud Ettevõte Pentest AI Startup Boost
Logi sisse
Plaan ja Kasutus
Vestlus Hinnakiri API Uuringud Ettevõte Pentest AI Startup Boost Logi sisse Plaan ja Kasutus

Vali oma keel

Kõik keeled on võrdsed. Vali see, mida soovid kasutada.

API dokumentatsioon

Shannon API

OpenAI ja Anthropicuga ühilduv AI API koos funktsioonikutsete, veebotsingu ja struktureeritud väljunditega.

Hangi oma API võti Proovi Playgroundi V2
Dokumentatsioon
  • OV Ülevaade
  • CP Võimekused
  • QS Kiirstart
  • PG API mänguväljak Uus
  • AU Autentimine
  • ML Mudelid
  • FN Funktsioonikutse
  • JS Struktureeritud väljundid
  • SS Voogedastus
  • WS Veebiotsing
  • AN Anthropic
  • SD SDK-d
  • ER Vigade käsitlus
  • CL Muudatuste logi
  • AK Sinu API võti
  • US Sinu kasutus

Shannon AI API Documentation

Ülevaade

Public docs

Kõik, mida vajad, et käivitada Shannon'i OpenAI ja Anthropicuga ühilduva API-ga.

URL OpenAI-Compatible
https://api.shannon-ai.com/v1/chat/completions

Use the Chat Completions API with function calling and streaming.

URL Anthropic-Compatible
https://api.shannon-ai.com/v1/messages

Claude Messages format with tools and anthropic-version header.

HTTP Autentimine
Authorization: Bearer <api-key>

Or X-API-Key with anthropic-version for Claude-style calls.

Access Status
Public docs - Key required to call

Streaming, function calling, structured outputs, web search.

Launch checklist
  • +
    Point your SDK at Shannon
    Set baseURL to the OpenAI or Anthropic endpoints above.
    Setup
  • +
    Attach your API key
    Use Bearer tokens for OpenAI calls or X-API-Key + anthropic-version.
    Security
  • +
    Enable tools & structured outputs
    Supports OpenAI tools/functions, JSON schema, and built-in web_search.
    Võimekused
  • +
    Track usage
    View token and search consumption on this page when signed in to your account.
    Analytics

Võimekused

OpenAI + Anthropic

OpenAI ja Anthropicu API-de drop-in asendus, sisseehitatud tööriistade, struktureeritud väljundite ja veebotsingu toega.

AI

Drop‑in asendus

Ühilduv

Töötab OpenAI ja Anthropic SDK‑dega. Muuda lihtsalt baas‑URL‑i.

AI

Funktsioonide kutsumine

Tööriistad

Määra tööriistad, lase Shannonil neid kutsuda. Toetab auto, forced ja none režiime.

AI

Sisseehitatud veebiotsing

Otsing

Reaalaja veebiootsing koos allikaviidetega. Saadaval automaatselt.

AI

Struktureeritud väljundid

JSON

JSON‑režiim ja JSON‑skeemi jõustamine usaldusväärseks andmete väljavõtmiseks.

AI

Mitme‑vooru tööriistad

Agentlik

Automaatse funktsioonitäitmise tsüklid. Kuni 10 iteratsiooni taotluse kohta.

AI

Voogedastus

Kiire

Server‑sent events reaalajas tokeni voogedastuseks.

Kiirstart

5 minutit

Alusta kolme sammuga. Shannon peegeldab OpenAI ja Anthropic kliente.

1

Määra baas‑URL

Kasuta OpenAI‑ühilduvat lõpp‑punkti.

https://api.shannon-ai.com/v1/chat/completions
2

Lisa oma API võti

Kasuta Bearer auth Authorization päises.

3

Saada oma esimene sõnum

Vali keel ja sisesta oma võti.

Python
from openai import OpenAI

client = OpenAI(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/v1"
)

response = client.chat.completions.create(
    model="shannon-1.6-lite",
    messages=[
        {"role": "system", "content": "You are a helpful assistant."},
        {"role": "user", "content": "Hello, Shannon!"}
    ],
    max_tokens=1024
)

print(response.choices[0].message.content)
JavaScript
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/v1'
});

const response = await client.chat.completions.create({
  model: 'shannon-1.6-lite',
  messages: [
    { role: 'system', content: 'You are a helpful assistant.' },
    { role: 'user', content: 'Hello, Shannon!' }
  ],
  max_tokens: 1024
});

console.log(response.choices[0].message.content);
Go
package main

import (
    "context"
    "fmt"
    openai "github.com/sashabaranov/go-openai"
)

func main() {
    config := openai.DefaultConfig("YOUR_API_KEY")
    config.BaseURL = "https://api.shannon-ai.com/v1"
    client := openai.NewClientWithConfig(config)

    resp, err := client.CreateChatCompletion(
        context.Background(),
        openai.ChatCompletionRequest{
            Model: "shannon-1.6-lite",
            Messages: []openai.ChatCompletionMessage{
                {Role: "system", Content: "You are a helpful assistant."},
                {Role: "user", Content: "Hello, Shannon!"},
            },
            MaxTokens: 1024,
        },
    )
    if err != nil {
        panic(err)
    }
    fmt.Println(resp.Choices[0].Message.Content)
}
cURL
curl -X POST "https://api.shannon-ai.com/v1/chat/completions" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "shannon-1.6-lite",
    "messages": [
      {"role": "system", "content": "You are a helpful assistant."},
      {"role": "user", "content": "Hello, Shannon!"}
    ],
    "max_tokens": 1024
  }'

Vastuse vorming

Edukas vastus
{
  "id": "chatcmpl-abc123",
  "object": "chat.completion",
  "created": 1234567890,
  "model": "Shannon 1.6 Lite",
  "choices": [
    {
      "index": 0,
      "message": {
        "role": "assistant",
        "content": "Hello! I'm Shannon, your AI assistant. How can I help you today?"
      },
      "finish_reason": "stop"
    }
  ],
  "usage": {
    "prompt_tokens": 25,
    "completion_tokens": 18,
    "total_tokens": 43
  }
}

API mänguväljak

Uus

Testi Shannon API‑d otse brauseris. Koosta päring, käivita see ja vaata vastust reaalajas.

1

Chat, Responses, Messages

Switch across OpenAI Chat Completions, Responses, and Anthropic Messages without leaving the playground.

2

Stream live output

Run real requests, inspect raw JSON, and view stream events from the same operator console.

3

Reuse your key

Signed-in users can pull their Shannon API key straight into the dedicated playground workspace.

/et/docs/playground

The playground now lives on its own route so the API docs stay Astro-rendered while the request builder remains an explicitly interactive client tool.

Proovi Playgroundi V2 Hangi oma API võti

Autentimine

Kõik API-päringud nõuavad autentimist Shannon API võtmega.

OpenAI Format (Recommended)

HTTP
Authorization: Bearer YOUR_API_KEY

Anthropic

HTTP
X-API-Key: YOUR_API_KEY
anthropic-version: 2023-06-01

Mudelid

Shannon pakub mitut mudelit, mis on optimeeritud erinevate kasutusjuhtude jaoks.

AI
shannon-1.6-lite Shannon 1.6 Lite

Fast, efficient responses for everyday tasks

Kontekst 128K
Ehitatud Turvaprofessionaalidele Chat, Q&A, Content Generation
AI
shannon-1.6-pro Shannon 1.6 Pro

Advanced reasoning for complex problems

Kontekst 128K
Ehitatud Turvaprofessionaalidele Analysis, Research, Complex Tasks
AI
shannon-2-lite Shannon 2 Lite

Kontekst 128K
Ehitatud Turvaprofessionaalidele
AI
shannon-2-pro Shannon 2 Pro

Kontekst 128K
Ehitatud Turvaprofessionaalidele
AI
shannon-coder-1 Shannon Coder

Optimized for Claude Code CLI with call-based quota

Kontekst 128K
Ehitatud Turvaprofessionaalidele Code Generation, Tool Use, CLI Integration
Call-based quota

Funktsioonikutse

Määratle tööriistad, mida Shannon saab kutsuda tegevuste tegemiseks või info toomiseks.

Python
from openai import OpenAI
import json

client = OpenAI(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/v1"
)

# Define available tools/functions
tools = [
    {
        "type": "function",
        "function": {
            "name": "get_weather",
            "description": "Get current weather for a location",
            "parameters": {
                "type": "object",
                "properties": {
                    "location": {
                        "type": "string",
                        "description": "City name, e.g., 'Tokyo'"
                    },
                    "unit": {
                        "type": "string",
                        "enum": ["celsius", "fahrenheit"]
                    }
                },
                "required": ["location"]
            }
        }
    }
]

response = client.chat.completions.create(
    model="shannon-1.6-lite",
    messages=[{"role": "user", "content": "What's the weather in Tokyo?"}],
    tools=tools,
    tool_choice="auto"
)

# Check if model wants to call a function
if response.choices[0].message.tool_calls:
    tool_call = response.choices[0].message.tool_calls[0]
    print(f"Function: {tool_call.function.name}")
    print(f"Arguments: {tool_call.function.arguments}")
JavaScript
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/v1'
});

const tools = [
  {
    type: 'function',
    function: {
      name: 'get_weather',
      description: 'Get current weather for a location',
      parameters: {
        type: 'object',
        properties: {
          location: { type: 'string', description: "City name" },
          unit: { type: 'string', enum: ['celsius', 'fahrenheit'] }
        },
        required: ['location']
      }
    }
  }
];

const response = await client.chat.completions.create({
  model: 'shannon-1.6-lite',
  messages: [{ role: 'user', content: "What's the weather in Tokyo?" }],
  tools,
  tool_choice: 'auto'
});

if (response.choices[0].message.tool_calls) {
  const toolCall = response.choices[0].message.tool_calls[0];
  console.log('Function:', toolCall.function.name);
  console.log('Arguments:', toolCall.function.arguments);
}

Funktsioonikutse

"auto" Model decides whether to call a function (default)
"none" Disable function calling for this request
{"type": "function", "function": {"name": "..."}} Force a specific function call

Vastuse vorming

When model calls a function
{
  "id": "chatcmpl-xyz",
  "choices": [
    {
      "index": 0,
      "message": {
        "role": "assistant",
        "content": null,
        "tool_calls": [
          {
            "id": "call_abc123",
            "type": "function",
            "function": {
              "name": "get_weather",
              "arguments": "{\"location\": \"Tokyo\", \"unit\": \"celsius\"}"
            }
          }
        ]
      },
      "finish_reason": "tool_calls"
    }
  ]
}

Struktureeritud väljundid

Sunni Shannon vastama kehtiva JSON-iga, mis vastab sinu skeemile.

Python
from openai import OpenAI

client = OpenAI(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/v1"
)

# Force JSON output with schema
response = client.chat.completions.create(
    model="shannon-1.6-lite",
    messages=[
        {"role": "user", "content": "Extract: John Doe, 30 years old, engineer"}
    ],
    response_format={
        "type": "json_schema",
        "json_schema": {
            "name": "person_info",
            "schema": {
                "type": "object",
                "properties": {
                    "name": {"type": "string"},
                    "age": {"type": "integer"},
                    "occupation": {"type": "string"}
                },
                "required": ["name", "age", "occupation"]
            }
        }
    }
)

import json
data = json.loads(response.choices[0].message.content)
print(data)  # {"name": "John Doe", "age": 30, "occupation": "engineer"}
JavaScript
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/v1'
});

const response = await client.chat.completions.create({
  model: 'shannon-1.6-lite',
  messages: [
    { role: 'user', content: 'Extract: John Doe, 30 years old, engineer' }
  ],
  response_format: {
    type: 'json_schema',
    json_schema: {
      name: 'person_info',
      schema: {
        type: 'object',
        properties: {
          name: { type: 'string' },
          age: { type: 'integer' },
          occupation: { type: 'string' }
        },
        required: ['name', 'age', 'occupation']
      }
    }
  }
});

const data = JSON.parse(response.choices[0].message.content);
console.log(data); // { name: "John Doe", age: 30, occupation: "engineer" }

Vastuse vorming

{"type": "json_object"} Force valid JSON output (no specific schema)
{"type": "json_schema", "json_schema": {...}} Force output matching your exact schema

Voogedastus

Luba reaalaja tokenite voogedastus Server‑Sent Events'i kaudu, et UI oleks reageeriv.

Python
from openai import OpenAI

client = OpenAI(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/v1"
)

# Enable streaming for real-time responses
stream = client.chat.completions.create(
    model="shannon-1.6-lite",
    messages=[
        {"role": "user", "content": "Write a short poem about AI"}
    ],
    stream=True
)

for chunk in stream:
    if chunk.choices[0].delta.content:
        print(chunk.choices[0].delta.content, end="", flush=True)
JavaScript
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/v1'
});

// Enable streaming for real-time responses
const stream = await client.chat.completions.create({
  model: 'shannon-1.6-lite',
  messages: [
    { role: 'user', content: 'Write a short poem about AI' }
  ],
  stream: true
});

for await (const chunk of stream) {
  const content = chunk.choices[0]?.delta?.content;
  if (content) process.stdout.write(content);
}
Tip: Streaming responses arrive as Server-Sent Events. Each chunk contains a delta with partial content.

Veebiotsing

Shannon sisaldab sisseehitatud web_search funktsiooni, mis on automaatselt saadaval.

Python
from openai import OpenAI

client = OpenAI(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/v1"
)

# Web search is automatically available!
# Shannon will use it when needed for current information

response = client.chat.completions.create(
    model="shannon-1.6-lite",
    messages=[
        {"role": "user", "content": "What are the latest AI news today?"}
    ],
    # Optionally, explicitly define web_search tool
    tools=[{
        "type": "function",
        "function": {
            "name": "web_search",
            "description": "Search the web for current information",
            "parameters": {
                "type": "object",
                "properties": {
                    "query": {"type": "string", "description": "Search query"}
                },
                "required": ["query"]
            }
        }
    }]
)

print(response.choices[0].message.content)
# Response includes sources and citations
JavaScript
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/v1'
});

// Web search is automatically available!
// Shannon will use it when needed for current information

const response = await client.chat.completions.create({
  model: 'shannon-1.6-lite',
  messages: [
    { role: 'user', content: 'What are the latest AI news today?' }
  ],
  // Optionally, explicitly define web_search tool
  tools: [{
    type: 'function',
    function: {
      name: 'web_search',
      description: 'Search the web for current information',
      parameters: {
        type: 'object',
        properties: {
          query: { type: 'string', description: 'Search query' }
        },
        required: ['query']
      }
    }
  }]
});

console.log(response.choices[0].message.content);
// Response includes sources and citations
Nipp: Web search results include citations. Shannon will automatically cite sources.

Anthropic

Shannon toetab ka Anthropic Messages API vormingut.

https://api.shannon-ai.com/v1/messages
Python
import anthropic

client = anthropic.Anthropic(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/messages"
)

response = client.messages.create(
    model="shannon-1.6-lite",
    max_tokens=1024,
    messages=[
        {"role": "user", "content": "Hello, Shannon!"}
    ],
    # Tool use (Anthropic format)
    tools=[{
        "name": "web_search",
        "description": "Search the web",
        "input_schema": {
            "type": "object",
            "properties": {
                "query": {"type": "string"}
            },
            "required": ["query"]
        }
    }]
)

print(response.content[0].text)
JavaScript
import Anthropic from '@anthropic-ai/sdk';

const client = new Anthropic({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/messages'
});

const response = await client.messages.create({
  model: 'shannon-1.6-lite',
  max_tokens: 1024,
  messages: [
    { role: 'user', content: 'Hello, Shannon!' }
  ],
  // Tool use (Anthropic format)
  tools: [{
    name: 'web_search',
    description: 'Search the web',
    input_schema: {
      type: 'object',
      properties: {
        query: { type: 'string' }
      },
      required: ['query']
    }
  }]
});

console.log(response.content[0].text);
Required: Anthropic format requires anthropic-version: 2023-06-01.

SDK-d

Ühilduv

Kasuta ükskõik millist OpenAI või Anthropic SDK‑d — muuda vaid base URL‑i.

OpenAI-Compatible SDKs

SDK Python

Official OpenAI Python SDK - works with Shannon

pip install openai
View Docs ->
SDK JavaScript / TypeScript

Official OpenAI Node.js SDK - works with Shannon

npm install openai
View Docs ->
SDK Go

Community Go client for OpenAI-compatible APIs

go get github.com/sashabaranov/go-openai
View Docs ->
SDK Ruby

Community Ruby client for OpenAI-compatible APIs

gem install ruby-openai
View Docs ->
SDK PHP

Community PHP client for OpenAI-compatible APIs

composer require openai-php/client
View Docs ->
SDK Rust

Async Rust client for OpenAI-compatible APIs

cargo add async-openai
View Docs ->

Anthropic-Compatible SDKs

SDK Python (Anthropic)

Official Anthropic Python SDK - works with Shannon

pip install anthropic
View Docs ->
SDK TypeScript (Anthropic)

Official Anthropic TypeScript SDK - works with Shannon

npm install @anthropic-ai/sdk
View Docs ->

Vigade käsitlus

Shannon kasutab standardseid HTTP olekukoodisid ja tagastab üksikasjalikud vead.

400 Vigane päring Vigane päringu vorming või parameetrid
401 Volitamata Kehtetu või puuduv API võti
402 Kvoot ületatud Tokeni või otsingu kvoot ületatud
429 Liiga palju päringuid Liiga palju päringuid, aeglusta
500 Serveri viga Sisemine viga, proovi hiljem

Veavastuse vorming

Veavastus
{
  "error": {
    "message": "Invalid API key provided",
    "type": "authentication_error",
    "code": "invalid_api_key"
  }
}

Muudatuste logi

LOG

Hiljutised uuendused ja parandused Shannon API-s.

v2.1.0
2025-01-03
  • Uus Added shannon-coder-1 model for Claude Code CLI integration
  • Uus Call-based quota system for Coder model
  • Improved Improved function calling reliability
v2.0.0
2024-12-15
  • Uus Added Anthropic Messages API compatibility
  • Uus Multi-turn tool execution (up to 10 iterations)
  • Uus JSON Schema response format support
  • Improved Enhanced web search with better citations
v1.5.0
2024-11-20
  • Uus Added shannon-deep-dapo model for complex reasoning
  • Uus Built-in web_search function
  • Improved Reduced latency for streaming responses
v1.0.0
2024-10-01
  • Uus Initial API release
  • Uus OpenAI-compatible chat completions endpoint
  • Uus Function calling support
  • Uus Streaming via Server-Sent Events

Sinu API võti

Access
Use Bearer tokens for OpenAI calls or X-API-Key + anthropic-version.
YOUR_API_KEY
Hangi oma API võti

Hoia oma API võtit salajas. Uuesti loomine teeb uue võtme ja tühistab vana.

Versioon: 1
Viimati pööratud: Mitte kunagi
Viimati kasutatud: Mitte kunagi

Sinu kasutus

View token and search consumption on this page when signed in to your account.

-- API kõned
-- Kasutatud tokenid

Shannon Coder (shannon-coder-1)

Shannon Coder (shannon-coder-1) kõnepõhine kvoot. Lähtestub iga 4 tunni järel.

0 Kasutatud kõned
0 Järelejäänud kõned

Valmis alustama?

Hangi oma API võti ja alusta täna Shannon AI-ga ehitamist.

Loo API võti Vaata dokumente

Populaarsed otsingud:

Proovi teisi märksõnu
Navigeeri: ↑ ↓ Vali: Enter Sulge: Esc